unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Spin;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    SpinEdit1: TSpinEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
  private
    h,v, m, crtano:boolean;
    br:integer;
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
    crtano:=true;
    h:=true;
    m:=false;
    v:=false;
    br:=spinEdit1.Value;
    Invalidate;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
    crtano:=true;
    v:=true;
    m:=false;
    h:=false;
    br:=spinEdit1.Value;
        Invalidate;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 crtano:=true;
    m:=true;
    v:=false;
    h:=false;
    br:=spinEdit1.Value;
        Invalidate;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
         crtano:=false;
         randomize;
end;

procedure TForm1.FormPaint(Sender: TObject);
var
  i,razmakV,razmakH:integer;

begin
        if crtano then
           with Canvas do
        begin
        razmakH:=clientHeight div (br+1);
        razmakV:=clientWidth div (br+1);
          if h then
              for i:=1 to br do
             begin
                  Pen.Color:=RGBToColor(random(255), Random(255), Random(255));
                  MoveTo(0, i*razmakH);
                  LineTo(ClientWidth, i*razmakH);
             end
          else if v then
             for i:=1 to br do
                 begin
                  Pen.Color:=RGBToColor(random(255), Random(255), Random(255));
                  MoveTo(i*razmakV, 0);
                  LineTo(i*razmakV, ClientHeight);

                 end
          else if m then
             for i:=1 to br do
             begin
                  Pen.Color:=RGBToColor(random(255), Random(255), Random(255));
                  MoveTo(0, i*razmakH);
                  LineTo(ClientWidth, i*razmakH);
                  MoveTo(i*razmakV, 0);
                  LineTo(i*razmakV, ClientHeight);
             end;
        end;
end;

end.

