unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormPaint(Sender: TObject);
  private
    crtano:boolean;
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  crtano:=true;
  randomize;
  Invalidate;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  crtano:=false;
  refresh;
end;

procedure TForm1.FormPaint(Sender: TObject);
begin
    if crtano then
       with Canvas do
       begin
            Pen.Color:=rgbToColor(random(255), random(255), random(255));
            Brush.Color:=rgbToColor(random(255), random(255), random(255));
            ellipse((clientWidth div 2) - 80, (clientHeight div 2) -40, (clientWidth div 2), (clientHeight div 2) + 40);
            Pen.Color:=rgbToColor(random(255), random(255), random(255));
            Brush.Color:=rgbToColor(random(255), random(255), random(255));
            rectangle((clientWidth div 2) +1, (clientHeight div 2) -20, (clientWidth div 2) + 41, (clientHeight div 2) +20)
       end;
end;

end.

