unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ComCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    ListBox1: TListBox;
    StatusBar1: TStatusBar;
    TrackBar1: TTrackBar;
    procedure Button1Click(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
  private
    crtano:boolean;
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
    crtano:=true;
    invalidate;
end;

procedure TForm1.FormPaint(Sender: TObject);
var
  x,y, i, brK:integer;
begin
 if crtano then
  with canvas do
  begin
      brK:=trackBar1.Position;
      for i:=1 to brK do
      begin
       Pen.Color:=rgbToColor(random(255), random(255), random(255));
       Brush.Color:=rgbToColor(random(255), random(255), random(255));
       x:=random(clientWidth);
       y:=random(clientHeight);
       StatusBar1.Panels[1].text:=intToStr(x)+', ' +inttostr(y);
       ellipse(x,y,x+20, y+20);
       {ellipse(i*20, i*20, i*20+20, i*20+20);}
       end;
   end

end;

procedure TForm1.ListBox1Click(Sender: TObject);
begin
  edit1.Text:=listbox1.Items[listbox1.ItemIndex];
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  statusbar1.Panels[2].Text:=inttostr(trackbar1.Position);
end;

end.

